Package com.omnisci.thrift.server

## Interface OmniSci.AsyncIface

All Known Implementing Classes:
  `OmniSci.AsyncClient`

Enclosing class:
  OmniSci

    public static interface OmniSci.AsyncIface

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `broadcast_serialized_rows​(TSerializedRows serialized_rows, List<TColumnType> row_desc, long query_id, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `check_table_consistency​(String session, int table_id, org.apache.thrift.async.AsyncMethodCallback<TTableMeta> resultHandler)`
`void` `checkpoint​(String session, int db_id, int table_id, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `clear_cpu_memory​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `clear_gpu_memory​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `clone_session​(String session, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `connect​(String user, String passwd, String dbname, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `create_dashboard​(String session, String dashboard_name, String dashboard_state, String image_hash, String dashboard_metadata, org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
`void` `create_link​(String session, String view_state, String view_metadata, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `create_table​(String session, String table_name, List<TColumnType> row_desc, TFileType file_type, TCreateParams create_params, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `deallocate_df​(String session, TDataFrame df, TDeviceType device_type, int device_id, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `delete_dashboard​(String session, int dashboard_id, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `delete_dashboards​(String session, List<Integer> dashboard_ids, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `detect_column_types​(String session, String file_name, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<TDetectResult> resultHandler)`
`void` `disconnect​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `execute_next_render_step​(TPendingRenderQuery pending_render, Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data, org.apache.thrift.async.AsyncMethodCallback<TRenderStepResult> resultHandler)`
`void` `execute_query_step​(TPendingQuery pending_query, org.apache.thrift.async.AsyncMethodCallback<TStepResult> resultHandler)`
`void` `get_all_files_in_archive​(String session, String archive_path, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_all_roles_for_user​(String session, String userName, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_completion_hints​(String session, String sql, int cursor, org.apache.thrift.async.AsyncMethodCallback<List<TCompletionHint>> resultHandler)`
`void` `get_dashboard​(String session, int dashboard_id, org.apache.thrift.async.AsyncMethodCallback<TDashboard> resultHandler)`
`void` `get_dashboard_grantees​(String session, int dashboard_id, org.apache.thrift.async.AsyncMethodCallback<List<TDashboardGrantees>> resultHandler)`
`void` `get_dashboards​(String session, org.apache.thrift.async.AsyncMethodCallback<List<TDashboard>> resultHandler)`
`void` `get_databases​(String session, org.apache.thrift.async.AsyncMethodCallback<List<TDBInfo>> resultHandler)`
`void` `get_db_object_privs​(String session, String objectName, TDBObjectType type, org.apache.thrift.async.AsyncMethodCallback<List<TDBObject>> resultHandler)`
`void` `get_db_objects_for_grantee​(String session, String roleName, org.apache.thrift.async.AsyncMethodCallback<List<TDBObject>> resultHandler)`
`void` `get_device_parameters​(String session, org.apache.thrift.async.AsyncMethodCallback<Map<String,​String>> resultHandler)`
`void` `get_first_geo_file_in_archive​(String session, String archive_path, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `get_hardware_info​(String session, org.apache.thrift.async.AsyncMethodCallback<TClusterHardwareInfo> resultHandler)`
`void` `get_heap_profile​(String session, org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `get_internal_table_details​(String session, String table_name, org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler)`
`void` `get_layers_in_geo_file​(String session, String file_name, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<List<TGeoFileLayerInfo>> resultHandler)`
`void` `get_license_claims​(String session, String nonce, org.apache.thrift.async.AsyncMethodCallback<TLicenseInfo> resultHandler)`
`void` `get_link_view​(String session, String link, org.apache.thrift.async.AsyncMethodCallback<TFrontendView> resultHandler)`
`void` `get_memory​(String session, String memory_level, org.apache.thrift.async.AsyncMethodCallback<List<TNodeMemoryInfo>> resultHandler)`
`void` `get_physical_tables​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_result_row_for_pixel​(String session, long widget_id, TPixel pixel, Map<String,​List<String>> table_col_names, boolean column_format, int pixelRadius, String nonce, org.apache.thrift.async.AsyncMethodCallback<TPixelTableRowResult> resultHandler)`
`void` `get_roles​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_server_status​(String session, org.apache.thrift.async.AsyncMethodCallback<TServerStatus> resultHandler)`
`void` `get_session_info​(String session, org.apache.thrift.async.AsyncMethodCallback<TSessionInfo> resultHandler)`
`void` `get_status​(String session, org.apache.thrift.async.AsyncMethodCallback<List<TServerStatus>> resultHandler)`
`void` `get_table_details​(String session, String table_name, org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler)`
`void` `get_table_epoch​(String session, int db_id, int table_id, org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
`void` `get_table_epoch_by_name​(String session, String table_name, org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
`void` `get_tables​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_tables_meta​(String session, org.apache.thrift.async.AsyncMethodCallback<List<TTableMeta>> resultHandler)`
`void` `get_users​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `get_version​(org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)`
`void` `get_views​(String session, org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)`
`void` `has_object_privilege​(String session, String granteeName, String ObjectName, TDBObjectType objectType, TDBObjectPermissions permissions, org.apache.thrift.async.AsyncMethodCallback<Boolean> resultHandler)`
`void` `has_role​(String session, String granteeName, String roleName, org.apache.thrift.async.AsyncMethodCallback<Boolean> resultHandler)`
`void` `import_geo_table​(String session, String table_name, String file_name, TCopyParams copy_params, List<TColumnType> row_desc, TCreateParams create_params, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `import_table​(String session, String table_name, String file_name, TCopyParams copy_params, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `import_table_status​(String session, String import_id, org.apache.thrift.async.AsyncMethodCallback<TImportStatus> resultHandler)`
`void` `insert_data​(String session, TInsertData insert_data, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `interrupt​(String query_session, String interrupt_session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `krb5_connect​(String inputToken, String dbname, org.apache.thrift.async.AsyncMethodCallback<TKrb5Session> resultHandler)`
`void` `load_table​(String session, String table_name, List<TStringRow> rows, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `load_table_binary​(String session, String table_name, List<TRow> rows, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `load_table_binary_arrow​(String session, String table_name, ByteBuffer arrow_stream, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `load_table_binary_columnar​(String session, String table_name, List<TColumn> cols, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `query_get_outer_fragment_count​(String session, String query, org.apache.thrift.async.AsyncMethodCallback<Long> resultHandler)`
`void` `register_runtime_extension_functions​(String session, List<TUserDefinedFunction> udfs, List<TUserDefinedTableFunction> udtfs, Map<String,​String> device_ir_map, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `render_vega​(String session, long widget_id, String vega_json, int compression_level, String nonce, org.apache.thrift.async.AsyncMethodCallback<TRenderResult> resultHandler)`
`void` `replace_dashboard​(String session, int dashboard_id, String dashboard_name, String dashboard_owner, String dashboard_state, String image_hash, String dashboard_metadata, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `set_execution_mode​(String session, TExecuteMode mode, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `set_license_key​(String session, String key, String nonce, org.apache.thrift.async.AsyncMethodCallback<TLicenseInfo> resultHandler)`
`void` `set_table_epoch​(String session, int db_id, int table_id, int new_epoch, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `set_table_epoch_by_name​(String session, String table_name, int new_epoch, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `share_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions, boolean grant_role, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `share_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `sql_execute​(String session, String query, boolean column_format, String nonce, int first_n, int at_most_n, org.apache.thrift.async.AsyncMethodCallback<TQueryResult> resultHandler)`
`void` `sql_execute_df​(String session, String query, TDeviceType device_type, int device_id, int first_n, org.apache.thrift.async.AsyncMethodCallback<TDataFrame> resultHandler)`
`void` `sql_execute_gdf​(String session, String query, int device_id, int first_n, org.apache.thrift.async.AsyncMethodCallback<TDataFrame> resultHandler)`
`void` `sql_validate​(String session, String query, org.apache.thrift.async.AsyncMethodCallback<List<TColumnType>> resultHandler)`
`void` `start_heap_profile​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `start_query​(String leaf_session, String parent_session, String query_ra, boolean just_explain, List<Long> outer_fragment_indices, org.apache.thrift.async.AsyncMethodCallback<TPendingQuery> resultHandler)`
`void` `start_render_query​(String session, long widget_id, short node_idx, String vega_json, org.apache.thrift.async.AsyncMethodCallback<TPendingRenderQuery> resultHandler)`
`void` `stop_heap_profile​(String session, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `switch_database​(String session, String dbname, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `unshare_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`
`void` `unshare_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)`

### Method Detail

#### connect

    void connect​(String user,
                 String passwd,
                 String dbname,
                 org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### krb5_connect

    void krb5_connect​(String inputToken,
                      String dbname,
                      org.apache.thrift.async.AsyncMethodCallback<TKrb5Session> resultHandler)
               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### disconnect

    void disconnect​(String session,
                    org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### switch_database

    void switch_database​(String session,
                         String dbname,
                         org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### clone_session

    void clone_session​(String session,
                       org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_server_status

    void get_server_status​(String session,
                           org.apache.thrift.async.AsyncMethodCallback<TServerStatus> resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_status

    void get_status​(String session,
                    org.apache.thrift.async.AsyncMethodCallback<List<TServerStatus>> resultHandler)
             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_hardware_info

    void get_hardware_info​(String session,
                           org.apache.thrift.async.AsyncMethodCallback<TClusterHardwareInfo> resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_tables

    void get_tables​(String session,
                    org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_physical_tables

    void get_physical_tables​(String session,
                             org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_views

    void get_views​(String session,
                   org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_tables_meta

    void get_tables_meta​(String session,
                         org.apache.thrift.async.AsyncMethodCallback<List<TTableMeta>> resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_table_details

    void get_table_details​(String session,
                           String table_name,
                           org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_internal_table_details

    void get_internal_table_details​(String session,
                                    String table_name,
                                    org.apache.thrift.async.AsyncMethodCallback<TTableDetails> resultHandler)
                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_users

    void get_users​(String session,
                   org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_databases

    void get_databases​(String session,
                       org.apache.thrift.async.AsyncMethodCallback<List<TDBInfo>> resultHandler)
                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_version

    void get_version​(org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### start_heap_profile

    void start_heap_profile​(String session,
                            org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### stop_heap_profile

    void stop_heap_profile​(String session,
                           org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_heap_profile

    void get_heap_profile​(String session,
                          org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_memory

    void get_memory​(String session,
                    String memory_level,
                    org.apache.thrift.async.AsyncMethodCallback<List<TNodeMemoryInfo>> resultHandler)
             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### clear_cpu_memory

    void clear_cpu_memory​(String session,
                          org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### clear_gpu_memory

    void clear_gpu_memory​(String session,
                          org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### set_table_epoch

    void set_table_epoch​(String session,
                         int db_id,
                         int table_id,
                         int new_epoch,
                         org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### set_table_epoch_by_name

    void set_table_epoch_by_name​(String session,
                                 String table_name,
                                 int new_epoch,
                                 org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_table_epoch

    void get_table_epoch​(String session,
                         int db_id,
                         int table_id,
                         org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_table_epoch_by_name

    void get_table_epoch_by_name​(String session,
                                 String table_name,
                                 org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_session_info

    void get_session_info​(String session,
                          org.apache.thrift.async.AsyncMethodCallback<TSessionInfo> resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### sql_execute

    void sql_execute​(String session,
                     String query,
                     boolean column_format,
                     String nonce,
                     int first_n,
                     int at_most_n,
                     org.apache.thrift.async.AsyncMethodCallback<TQueryResult> resultHandler)
              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### sql_execute_df

    void sql_execute_df​(String session,
                        String query,
                        TDeviceType device_type,
                        int device_id,
                        int first_n,
                        org.apache.thrift.async.AsyncMethodCallback<TDataFrame> resultHandler)
                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### sql_execute_gdf

    void sql_execute_gdf​(String session,
                         String query,
                         int device_id,
                         int first_n,
                         org.apache.thrift.async.AsyncMethodCallback<TDataFrame> resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### deallocate_df

    void deallocate_df​(String session,
                       TDataFrame df,
                       TDeviceType device_type,
                       int device_id,
                       org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### interrupt

    void interrupt​(String query_session,
                   String interrupt_session,
                   org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### sql_validate

    void sql_validate​(String session,
                      String query,
                      org.apache.thrift.async.AsyncMethodCallback<List<TColumnType>> resultHandler)
               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_completion_hints

    void get_completion_hints​(String session,
                              String sql,
                              int cursor,
                              org.apache.thrift.async.AsyncMethodCallback<List<TCompletionHint>> resultHandler)
                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### set_execution_mode

    void set_execution_mode​(String session,
                            TExecuteMode mode,
                            org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### render_vega

    void render_vega​(String session,
                     long widget_id,
                     String vega_json,
                     int compression_level,
                     String nonce,
                     org.apache.thrift.async.AsyncMethodCallback<TRenderResult> resultHandler)
              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_result_row_for_pixel

    void get_result_row_for_pixel​(String session,
                                  long widget_id,
                                  TPixel pixel,
                                  Map<String,​List<String>> table_col_names,
                                  boolean column_format,
                                  int pixelRadius,
                                  String nonce,
                                  org.apache.thrift.async.AsyncMethodCallback<TPixelTableRowResult> resultHandler)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_dashboard

    void get_dashboard​(String session,
                       int dashboard_id,
                       org.apache.thrift.async.AsyncMethodCallback<TDashboard> resultHandler)
                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_dashboards

    void get_dashboards​(String session,
                        org.apache.thrift.async.AsyncMethodCallback<List<TDashboard>> resultHandler)
                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### create_dashboard

    void create_dashboard​(String session,
                          String dashboard_name,
                          String dashboard_state,
                          String image_hash,
                          String dashboard_metadata,
                          org.apache.thrift.async.AsyncMethodCallback<Integer> resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### replace_dashboard

    void replace_dashboard​(String session,
                           int dashboard_id,
                           String dashboard_name,
                           String dashboard_owner,
                           String dashboard_state,
                           String image_hash,
                           String dashboard_metadata,
                           org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### delete_dashboard

    void delete_dashboard​(String session,
                          int dashboard_id,
                          org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### share_dashboards

    void share_dashboards​(String session,
                          List<Integer> dashboard_ids,
                          List<String> groups,
                          TDashboardPermissions permissions,
                          org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### delete_dashboards

    void delete_dashboards​(String session,
                           List<Integer> dashboard_ids,
                           org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### share_dashboard

    void share_dashboard​(String session,
                         int dashboard_id,
                         List<String> groups,
                         List<String> objects,
                         TDashboardPermissions permissions,
                         boolean grant_role,
                         org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### unshare_dashboard

    void unshare_dashboard​(String session,
                           int dashboard_id,
                           List<String> groups,
                           List<String> objects,
                           TDashboardPermissions permissions,
                           org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### unshare_dashboards

    void unshare_dashboards​(String session,
                            List<Integer> dashboard_ids,
                            List<String> groups,
                            TDashboardPermissions permissions,
                            org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_dashboard_grantees

    void get_dashboard_grantees​(String session,
                                int dashboard_id,
                                org.apache.thrift.async.AsyncMethodCallback<List<TDashboardGrantees>> resultHandler)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_link_view

    void get_link_view​(String session,
                       String link,
                       org.apache.thrift.async.AsyncMethodCallback<TFrontendView> resultHandler)
                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### create_link

    void create_link​(String session,
                     String view_state,
                     String view_metadata,
                     org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### load_table_binary

    void load_table_binary​(String session,
                           String table_name,
                           List<TRow> rows,
                           org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### load_table_binary_columnar

    void load_table_binary_columnar​(String session,
                                    String table_name,
                                    List<TColumn> cols,
                                    org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### load_table_binary_arrow

    void load_table_binary_arrow​(String session,
                                 String table_name,
                                 ByteBuffer arrow_stream,
                                 org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### load_table

    void load_table​(String session,
                    String table_name,
                    List<TStringRow> rows,
                    org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### detect_column_types

    void detect_column_types​(String session,
                             String file_name,
                             TCopyParams copy_params,
                             org.apache.thrift.async.AsyncMethodCallback<TDetectResult> resultHandler)
                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### create_table

    void create_table​(String session,
                      String table_name,
                      List<TColumnType> row_desc,
                      TFileType file_type,
                      TCreateParams create_params,
                      org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### import_table

    void import_table​(String session,
                      String table_name,
                      String file_name,
                      TCopyParams copy_params,
                      org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### import_geo_table

    void import_geo_table​(String session,
                          String table_name,
                          String file_name,
                          TCopyParams copy_params,
                          List<TColumnType> row_desc,
                          TCreateParams create_params,
                          org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### import_table_status

    void import_table_status​(String session,
                             String import_id,
                             org.apache.thrift.async.AsyncMethodCallback<TImportStatus> resultHandler)
                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_first_geo_file_in_archive

    void get_first_geo_file_in_archive​(String session,
                                       String archive_path,
                                       TCopyParams copy_params,
                                       org.apache.thrift.async.AsyncMethodCallback<String> resultHandler)
                                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_all_files_in_archive

    void get_all_files_in_archive​(String session,
                                  String archive_path,
                                  TCopyParams copy_params,
                                  org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_layers_in_geo_file

    void get_layers_in_geo_file​(String session,
                                String file_name,
                                TCopyParams copy_params,
                                org.apache.thrift.async.AsyncMethodCallback<List<TGeoFileLayerInfo>> resultHandler)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### query_get_outer_fragment_count

    void query_get_outer_fragment_count​(String session,
                                        String query,
                                        org.apache.thrift.async.AsyncMethodCallback<Long> resultHandler)
                                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### check_table_consistency

    void check_table_consistency​(String session,
                                 int table_id,
                                 org.apache.thrift.async.AsyncMethodCallback<TTableMeta> resultHandler)
                          throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### start_query

    void start_query​(String leaf_session,
                     String parent_session,
                     String query_ra,
                     boolean just_explain,
                     List<Long> outer_fragment_indices,
                     org.apache.thrift.async.AsyncMethodCallback<TPendingQuery> resultHandler)
              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### execute_query_step

    void execute_query_step​(TPendingQuery pending_query,
                            org.apache.thrift.async.AsyncMethodCallback<TStepResult> resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### broadcast_serialized_rows

    void broadcast_serialized_rows​(TSerializedRows serialized_rows,
                                   List<TColumnType> row_desc,
                                   long query_id,
                                   org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### start_render_query

    void start_render_query​(String session,
                            long widget_id,
                            short node_idx,
                            String vega_json,
                            org.apache.thrift.async.AsyncMethodCallback<TPendingRenderQuery> resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### execute_next_render_step

    void execute_next_render_step​(TPendingRenderQuery pending_render,
                                  Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data,
                                  org.apache.thrift.async.AsyncMethodCallback<TRenderStepResult> resultHandler)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### insert_data

    void insert_data​(String session,
                     TInsertData insert_data,
                     org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### checkpoint

    void checkpoint​(String session,
                    int db_id,
                    int table_id,
                    org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_roles

    void get_roles​(String session,
                   org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_db_objects_for_grantee

    void get_db_objects_for_grantee​(String session,
                                    String roleName,
                                    org.apache.thrift.async.AsyncMethodCallback<List<TDBObject>> resultHandler)
                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_db_object_privs

    void get_db_object_privs​(String session,
                             String objectName,
                             TDBObjectType type,
                             org.apache.thrift.async.AsyncMethodCallback<List<TDBObject>> resultHandler)
                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_all_roles_for_user

    void get_all_roles_for_user​(String session,
                                String userName,
                                org.apache.thrift.async.AsyncMethodCallback<List<String>> resultHandler)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### has_role

    void has_role​(String session,
                  String granteeName,
                  String roleName,
                  org.apache.thrift.async.AsyncMethodCallback<Boolean> resultHandler)
           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### has_object_privilege

    void has_object_privilege​(String session,
                              String granteeName,
                              String ObjectName,
                              TDBObjectType objectType,
                              TDBObjectPermissions permissions,
                              org.apache.thrift.async.AsyncMethodCallback<Boolean> resultHandler)
                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### set_license_key

    void set_license_key​(String session,
                         String key,
                         String nonce,
                         org.apache.thrift.async.AsyncMethodCallback<TLicenseInfo> resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_license_claims

    void get_license_claims​(String session,
                            String nonce,
                            org.apache.thrift.async.AsyncMethodCallback<TLicenseInfo> resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_device_parameters

    void get_device_parameters​(String session,
                               org.apache.thrift.async.AsyncMethodCallback<Map<String,​String>> resultHandler)
                        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### register_runtime_extension_functions

    void register_runtime_extension_functions​(String session,
                                              List<TUserDefinedFunction> udfs,
                                              List<TUserDefinedTableFunction> udtfs,
                                              Map<String,​String> device_ir_map,
                                              org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler)
                                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`